require "bundler/capistrano"

set :application, "photonotes"
set :repository,  "git@github.com:jmrepetti/photo_notes.git"
set :branch, "master"
set :deploy_via, :remote_cache
set :use_sudo, false

set :deploy_to, "/home/deploy/apps/photonotes.reenboog.me"

set :user, "deploy"  # The server's user for deploys
default_run_options[:pty] = true  # Must be set for the password prompt from git to work
set :scm, :git

role :web, "photonotes.reenboog.me"                          # Your HTTP server, Apache/etc
role :app, "photonotes.reenboog.me"                           # This may be the same as your `Web` server
role :db,  "photonotes.reenboog.me", :primary => true # This is where Rails migrations will run

# if you're still using the script/reaper helper you will need
# these http://github.com/rails/irs_process_scripts

# If you are using Passenger mod_rails uncomment this:
namespace :deploy do
  task :start do ; end
  task :stop do ; end
  task :restart, :roles => :app, :except => { :no_release => true } do
    run "#{try_sudo} touch #{File.join(current_path,'tmp','restart.txt')}"
  end
  task :migrations do
    run "cd #{current_path}; bundle exec padrino rake ar:migrate -e production"
  end
end

namespace :db do
  desc "[internal] Updates the symlink for database.yml file to the just deployed release"
  task :symlink do
    run "ln -nfs #{shared_path}/config/database.rb #{release_path}/config/database.rb" 
  end
end

after "deploy:finalize_update", "db:symlink"